package presentacion;

import javax.swing.JApplet;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Polygon;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;
import javax.swing.JSeparator;
import javax.swing.JComboBox;
import javax.swing.JButton;
import javax.swing.JTabbedPane;

import negocio.Controlador;

import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;

import javax.swing.border.EtchedBorder;

/**
 * Clase principal del applet.
 * 
 * @author Santiago de la Parte
 */
@SuppressWarnings({"unchecked","rawtypes"})
public class Ventana extends JApplet {
	
	/**
	 * Creador.
	 */
	public Ventana() {
	}

	private static final long serialVersionUID = 1L;

	// Panel general
	private JPanel contentPane;
	
	// Panel pestaas general
	private JTabbedPane tabbedGeneral;
	
	// Pestaas generales
	private JPanel pestanhaDistrito;
	private JPanel pestanhaZonaEstad;
	
	// Mapa de Valladolid (comn a ambas pestaas)
	private Image mapaDistrito;
	private Image mapaZonaEst;
	
	// Panel y pestaas dentro de Distrito
	private JTabbedPane tabbedDistrito;
	private JPanel pestanhaDatosGralesDto;
	private JPanel pestanhaConsultaDto;
	// Contenido de Distrito
	private PolygonPanel polygonPanelDistrito; // Panel de polgonos de Distrito
	private JLabel infoDistritoLabel; // Etiqueta de informacin de Distrito
	private JLabel picLabelDistrito; // Etiqueta con el dibujo del mapa de Distrito
		// Pestaas dentro de Distrito
		private JPanel panelConsultaDistrito;
			// Aqu irn los panel no diseados an para Dto
		// ComboBox dentro de Distrito
		private JComboBox<String> comboTipoDistribucionDto;
		private JComboBox<String> comboSeccionDto;
		private JComboBox<String> comboSexoDto;
		private WideComboBox comboEstudiosDto;
		private JComboBox<String> comboProcedenciaDto;
		private JComboBox<String> comboEdadDto;
		// Labels dentro de Distrito
		private JLabel lblSeccionDto;
		private JLabel lblSexoDto;
		private JLabel lblEstudiosDto;
		private JLabel lblProcedenciaDto;
		private JLabel lblEdadDto ;
		// Botones dentro de Distrito
		private JButton btnConsultarDto;
		// Dibujo consulta de Distrito
		private ChartPanel chartConsultaDto;
		//private Image dibujoConsultaDto = null;
		// Label descripcin consulta de Distrito
		private JLabel labelDescConsultaDto;
		// Panel de la primera imagen comparativa
		private ChartPanel chartComparaDto1;
		// Panel de la segunda imagen comparativa
		private ChartPanel chartComparaDto2;
		// Texto de la primera comparativa
		private JLabel labelComparaDto1;
		// Texto de la segunda comparativa
		private JLabel labelComparaDto2;
		// Combo del tipo de distribucin de datos generales
		private JComboBox comboDatoGeneralDto;
		// Combo del distrito con el que se comparar
		private JComboBox comboCompararDto;
	
	// Panel y pestaas dentro de Zona Estadstica
	private JTabbedPane tabbedZonaEst;
	private JPanel pestanhaDatosGralesZonaEst;
	private JPanel pestanhaConsultaZonaEst;	
	// Contenido de Seccin Estadstica
	private PolygonPanel polygonPanelZonaEst; /// Panel de polgonos de ZE
	private JLabel infoZonaEstLabel; // Etiqueta de informacin de ZE
	private JLabel picLabelZonaEst; // Etiqueta con el dibujo del mapa de ZE
		// Pestaas dentro de ZE
		private JPanel panelConsultaZonaEst;
			// Aqu irn los panel no diseados an para ZE
		// ComboBox dentro de ZE
		private JComboBox<String> comboTipoDistribucionZE;
		private JComboBox<String> comboSexoZE;
		private WideComboBox comboEstudiosZE;
		private JComboBox<String> comboProcedenciaZE;
		private JComboBox<String> comboEdadZE;
		// Labels dentro de ZE
		private JLabel lblSexoZE;
		private JLabel lblEstudiosZE;
		private JLabel lblProcedenciaZE;
		private JLabel lblEdadZE;
		// Botones dentro de ZE
		private JButton btnConsultarZE;
		// Dibujo consulta de ZE
		private ChartPanel chartConsultaZE;
		//private Image dibujoConsultaZE = null;
		// Label descripcin consulta de ZE
		private JLabel labelDescConsultaZE;
		// Panel de la primera imagen comparativa
		private ChartPanel chartComparaZE1;
		// Panel de la segunda imagen comparativa
		private ChartPanel chartComparaZE2;
		// Texto de la primera comparativa
		private JLabel labelComparaZE1;
		// Texto de la segunda comparativa
		private JLabel labelComparaZE2;
		// Combo del tipo de distribucin de datos generales
		private JComboBox comboDatoGeneralZE;
		// Combo del distrito con el que se comparar
		private JComboBox comboCompararZE;
	
	// Pestaa de consulta sobre Valladolid, sin distritos ni zonas, y su contenido
	private JPanel pestanhaValladolid;
	private JPanel panelConsultaValladdolid;
	private JComboBox<String> comboEdadVA;
	private JComboBox<String> comboSexoVA;
	private JComboBox<String> comboProcedenciaVA;
	private JComboBox<String> comboEstudiosVA;
	private JComboBox<String> comboTipoDistribucionVA;
	private JButton btnConsultarVA;
	private ChartPanel chartGeneralVA;
	private ChartPanel chartSupVA;
	private ChartPanel chartInfVA;
	private JLabel lblInfoVA;
	private JLabel lblCompararSupVA;
	private JLabel lblCompararInfVA;
	private JLabel lblEstudiosVA;
	private JLabel lblSexoVA;
	private JLabel lblProcedenciaVA;
	private JLabel lblEdadVA;
	private JComboBox<String> comboDto1VA;
	private JComboBox<String> comboDto2VA;
	private JComboBox<String> comboZE2VA;
	private JComboBox<String> comboZE1VA;
	private JLabel lblCompararDto1VA;
	private JLabel lblCompararDto2VA;
	private JLabel lblCompararZE1VA;
	private JLabel lblCompararZE2VA;
	private String tipoConsultaVA;
	private boolean consultaCargadaVA = false;
	
	// Pestaa de consulta sobre Valladolid, sin distritos ni zonas, y su contenido
	private JPanel pestanhaInfoAyuda;
	private JLabel lblInfoAyuda;
	private JLabel lblInfoParam1;
	private JLabel lblInfoParam2;
	private JLabel lblInfoDistribucion;
	
	// Listados de Zonas Estadsticas y Distritos
	private String[] listadoZE = {"-- Seleccionar --","Zona 1","Zona 2","Zona 3","Zona 4","Zona 5","Zona 6","Zona 7","Zona 8",
			"Zona 9","Zona 10","Zona 11","Zona 12","Zona 13","Zona 14","Zona 15","Zona 16","Zona 17",
			"Zona 18","Zona 19","Zona 20","Zona 21","Zona 22","Zona 23","Zona 24","Zona 25","Zona 26","Zona 27",
			"Zona 28","Zona 29","Zona 30","Zona 31","Zona 32","Zona 33","Zona 34","Zona 35","Zona 36","Zona 37",
			"Zona 38","Zona 39","Zona 40","Zona 41","Zona 42","Zona 8B","Zona 12B","Zona 15B","Zona 24B","Zona 36B"};
	private String[] listadoDto = {"-- Seleccionar --","Distrito 1","Distrito 2","Distrito 3","Distrito 4","Distrito 5","Distrito 6",
			"Distrito 7","Distrito 8","Distrito 9","Distrito 10","Distrito 11","Distrito 12"};
	
	// Controlador
	private Controlador control;
	
	// Flag que controla con qu distrito se compara
	private int comparaDtoActual = -1;
	private String comparaDtoTipo = "";
	
	// Flag que controla con qu distrito se compara
	private int comparaZEActual = -1;
	private String comparaZETipo = "";
	
	// Poligonos y colores
	Color[] colorsDistrito;
	Polygon[] poligonosDistrito;
	Color[] colorsZonaEst;
	Polygon[] poligonosZonaEst;
	
	// Strings comboBox
	private final String[] tipoDistribucion = {"-- Seleccionar --","Sexo","Procedencia (Nac.)","Procedencia (Extr.)","Estudios","Edad"};
	private final String[] rangoEdad = {"Todos","0-4","5-9","10-14","15-19","20-24","25-29","30-34","35-39","40-44","45-49",
									"50-54","55-59","60-64","65-69","70-74","75-79","80-84","85+"};
	private final String[] rangoSexo = {"Todos","Varn","Mujer"};
	private final String[] rangoEstudios = {"Todos",
									"Sin estudios",
									"Estudios Primarios",
									"Enseanza Profesional de 2 Grado (Segundo Ciclo)",
									"Enseanza Secundaria (Primer Ciclo)",
									"Enseanza Profesional Superior",
									"Enseanza Secundaria (Segundo Ciclo)",
									"Estudios Universitarios o superiores",
									"Desconocido"};
	private final String[] rangoProcedencia = {"Todos","Espaa","Andaluca","Aragn","Principado de Asturias","Baleares","Canarias","Cantabria",
									"Castilla-La Mancha","Castilla y Len","Catalua","Comunidad Valenciana","Extremadura","Galicia",
									"La Rioja","Comunidad de Madrid","Navarra","Pas Vasco","Regin de Murcia","Ceuta","Melilla",
									"Europa","frica","Amrica del Norte","Amrica Central","Amrica del Sur","Asia","Oceana","Aptrida"};
	
	// Control para no provocar NullException en paint
	private boolean iniciado = false;
	
	/**
	 * Mtodo que lanza el applet
	 */
	public void init() {
		// Creo el controlador
		control = new Controlador(this);
		
		// Configuro el applet
		this.setSize(new Dimension(1200,800));
		this.setBounds(0, 0, 1200, 800);
		this.setVisible(true);
		
		// Inicio el contentPane (Panel General)
		iniciaContentPane();
		
		// Inicio el panel de pestaas general
		iniciaTabbedGeneral();
		
		// Inicio las pestaas generales (Distrito y Seccin Estadstica)
		iniciaPestanhasGenerales();
		
		// Inicio la imagen del mapa, comn a ambas pestaas
		mapaDistrito = new ImageIcon(getClass().getResource("mapa1bn.png")).getImage();
		mapaZonaEst = new ImageIcon(getClass().getResource("mapa2bn.png")).getImage();
		
		// Inicio componentes pestaa Valladolid
		iniciaComponentesValladolid();
		
		// Inicio componentes pestaa Distrito
		iniciaComponentesDistrito();
		
		// Inicio componentes pestaa ZE
		iniciaComponentesZonaEstadistica();
		
		// Aado controlador a componentes
        polygonPanelDistrito.addMouseListener(control);
        polygonPanelDistrito.addMouseMotionListener(control);
        btnConsultarDto.addActionListener(control);
        polygonPanelZonaEst.addMouseListener(control);
        polygonPanelZonaEst.addMouseMotionListener(control);
        btnConsultarZE.addActionListener(control);
        btnConsultarVA.addActionListener(control);
		
        // Libero las llamadas a paint
		iniciado = true;
		
		this.repaint();
    }
	
	/**
	 * Devuelve si el objeto es el mapa de Distrito.
	 * 
	 * @param obj Objeto
	 * @return True si es el mapa de Distrito.
	 */
	public boolean isDistritoPanel(Object obj) {
		if (obj == this.polygonPanelDistrito)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el mapa de Zona Estadstica.
	 * 
	 * @param obj Objeto
	 * @return True si es el mapa de Zona Estadstica.
	 */
	public boolean isZonaEstPanel(Object obj) {
		if (obj == this.polygonPanelZonaEst)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el botn de consulta de Distrito.
	 * 
	 * @param obj Objeto
	 * @return True si es el botn de consulta de Distrito.
	 */
	public boolean isDistritoConsultaButton(Object obj) {
		if (obj == this.btnConsultarDto)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el botn de consulta de Zona Estadstica.
	 * 
	 * @param obj Objeto
	 * @return True si es el botn de consulta de Zona Estadstica.
	 */
	public boolean isZonaEstConsultaButton(Object obj) {
		if (obj == this.btnConsultarZE)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el botn de consulta de Valladolid.
	 * 
	 * @param obj Objeto
	 * @return True si es el botn de consulta de Valladolid.
	 */
	public boolean isValladolidButton(Object obj) {
		if (obj == this.btnConsultarVA)
			return true;
		return false;
	}
	
	/**
	 * Devuelve el array de polgonos de que consta Distrito.
	 * 
	 * @return Array de polgonos de que consta Distrito.
	 */
	public Polygon[] getDistritoPolygons() {
		return poligonosDistrito;
	}
	
	/**
	 * Devuelve el array de polgonos de que consta Zona Estadstica.
	 * 
	 * @return Array de polgonos de que consta Zona Estadstica.
	 */
	public Polygon[] getZonaEstPolygons() {
		return poligonosZonaEst;
	}
	
	/**
	 * Devuelve el ndice del Distrito seleccionado.
	 * 
	 * @return ndice del Distrito seleccionado.
	 */
	public int getDistritoClicked() {
		return polygonPanelDistrito.getClicked();
	}
	
	/**
	 * Devuelve el ndice de la Zona Estadstica seleccionada.
	 * 
	 * @return ndice de la Zona Estadstica seleccionada.
	 */
	public int getZonaEstClicked() {
		return polygonPanelZonaEst.getClicked();
	}

	/**
	 * Devuelve el tipo de consulta de Distrito.
	 * 
	 * @return Tipo de consulta de Distrito.
	 */
	public String getDistritoTipoConsulta() {
		return (String) this.comboTipoDistribucionDto.getSelectedItem();
	}

	/**
	 * Devuelve el tipo de consulta de Zona Estadstica.
	 * 
	 * @return Tipo de consulta de Zona Estadstica.
	 */
	public String getZonaEstTipoConsulta() {
		return (String) this.comboTipoDistribucionZE.getSelectedItem();
	}
	
	/**
	 * Devuelve el tipo de consulta de Valladolid.
	 * 
	 * @return Tipo de consulta de Valladolid.
	 */
	public String getTipoConsultaVA() {
		return (String) this.comboTipoDistribucionVA.getSelectedItem();
	}
	
	/**
	 * Devuelve la Seccin seleccionada.
	 * @return Seccin seleccionada.
	 */
	public String getDistritoSeccion() {
		return (String) this.comboSeccionDto.getSelectedItem();
	}
	
	/**
	 * Devuelve la procedencia seleccionada.
	 * @return procedencia seleccionada.
	 */
	public String getDistritoProcedencia() {
		return (String) this.comboProcedenciaDto.getSelectedItem();
	}
	
	/**
	 * Devuelve el sexo seleccionado.
	 * @return sexo seleccionado.
	 */
	public String getDistritoSexo() {
		return (String) this.comboSexoDto.getSelectedItem();
	}
	
	/**
	 * Devuelve la edad seleccionada.
	 * @return edad seleccionada.
	 */
	public String getDistritoEdad() {
		return (String) this.comboEdadDto.getSelectedItem();
	}
	
	/**
	 * Devuelve los estudios seleccionados.
	 * @return estudios seleccionado.
	 */
	public String getDistritoEstudios() {
		return (String) this.comboEstudiosDto.getSelectedItem();
	}
	
	/**
	 * Devuelve la procedencia seleccionada.
	 * @return procedencia seleccionada.
	 */
	public String getZonaEstProcedencia() {
		return (String) this.comboProcedenciaZE.getSelectedItem();
	}
	
	/**
	 * Devuelve el sexo seleccionado.
	 * @return sexo seleccionado.
	 */
	public String getZonaEstSexo() {
		return (String) this.comboSexoZE.getSelectedItem();
	}
	
	/**
	 * Devuelve la edad seleccionada.
	 * @return edad seleccionada.
	 */
	public String getZonaEstEdad() {
		return (String) this.comboEdadZE.getSelectedItem();
	}
	
	/**
	 * Devuelve los estudios seleccionados.
	 * @return estudios seleccionado.
	 */
	public String getZonaEstEstudios() {
		return (String) this.comboEstudiosZE.getSelectedItem();
	}
	
	/**
	 * Devuelve la procedencia seleccionada.
	 * @return procedencia seleccionada.
	 */
	public String getProcedenciaVA() {
		return (String) this.comboProcedenciaVA.getSelectedItem();
	}
	
	/**
	 * Devuelve el sexo seleccionado.
	 * @return sexo seleccionado.
	 */
	public String getSexoVA() {
		return (String) this.comboSexoVA.getSelectedItem();
	}
	
	/**
	 * Devuelve la edad seleccionada.
	 * @return edad seleccionada.
	 */
	public String getEdadVA() {
		return (String) this.comboEdadVA.getSelectedItem();
	}
	
	/**
	 * Devuelve los estudios seleccionados.
	 * @return estudios seleccionado.
	 */
	public String getEstudiosVA() {
		return (String) this.comboEstudiosVA.getSelectedItem();
	}
	
	/**
	 * Asigna el distrito seleccionado.
	 * @param i Distrito seleccionado.
	 */
	public void setDistritoClicked(int i) {
		polygonPanelDistrito.setClicked(i);
	}

	/**
	 * Asigna la descripcin del distrito actual.
	 * @param text Descripcin del distrito actual.
	 */
	public void setDescripcionDtoLabel (String text) {
		infoDistritoLabel.setText(text);
	}

	/**
	 * Asigna el distrito sobre el que est situado el ratn.
	 * @param i Distrito sobre el que est situado el ratn.
	 */
	public void setDistritoEncima(int i) {
		polygonPanelDistrito.setEncima(i);
	}
	
	/**
	 * Asigna la zona estadstica seleccionada.
	 * @param i Zona estadstica seleccionada.
	 */
	public void setZonaEstClicked(int i) {
		polygonPanelZonaEst.setClicked(i);
	}

	/**
	 * Asigna la descripcin de la zona estadstica actual.
	 * @param text Descripcin de la zona estadstica actual.
	 */
	public void setDescripcionZELabel (String text) {
		infoZonaEstLabel.setText(text);
	}

	/**
	 * Asigna el zona estadstica sobre la que est situado el ratn.
	 * @param i Zona estadstica sobre la que est situado el ratn.
	 */
	public void setZonaEstEncima(int i) {
		polygonPanelZonaEst.setEncima(i);
	}
	
	/**
	 * Asigna las opciones al desplegable de secciones.
	 * @param secciones Opciones del desplegable de secciones.
	 */
	public void setDesplegableSeccion(String[] secciones) {
		comboSeccionDto.removeAllItems();
		for (int i = 0; i < secciones.length; i++)
			comboSeccionDto.addItem(secciones[i]);
	}
	
	/**
	 * Muestra y actualiza los elementos de la interfaz. Mtodo heredado.
	 */
	public void paint(Graphics g) {
		// Impido llamada a paint sobre objetos no instanciados
		if (!iniciado)
			return;
		
		// Activo los labels y combos necesarios segn las opciones seleccionadas
		activaNecesariosDto();
		activaNecesariosZE();
		activaNecesariosVA();

		// Si hay alguna consulta general en distrito relleno el comboBox de comparacin y lo activo
		if (comparaDtoActual!=-1) {
			comboCompararDto.setEnabled(true);
		}
		// Si hay alguna consulta general en ZE relleno el comboBox de comparacin y lo activo
		if (comparaZEActual!=-1) {
			comboCompararZE.setEnabled(true);
		}
		super.paint(g);
	}

	/**
	 * Activa o desactiva el desplegable de Informacin General de Distrito.
	 * 
	 * @param flag
	 */
	public void setComboGralDtoEnabled(boolean flag) {
		comboDatoGeneralDto.setEnabled(flag);
	}
	
	/**
	 * Activa o desactiva el desplegable de Informacin General de Zona Estadstica.
	 * 
	 * @param flag
	 */
	public void setComboGralZEEnabled(boolean flag) {
		comboDatoGeneralZE.setEnabled(flag);
	}
	
	/**
	 * Asigna un valor al ndice del desplegable de Informacin General de Distrito.
	 * 
	 * @param i ndice
	 */
	public void setComboGralDtoValor(int i) {
		comboDatoGeneralDto.setSelectedIndex(i);
	}
	
	/**
	 * Asigna un valor al ndice del desplegable de Informacin General de Zona Estadstica.
	 * 
	 * @param i ndice
	 */
	public void setComboGralZEValor(int i) {
		comboDatoGeneralZE.setSelectedIndex(i);
	}

	/**
	 * Devuelve si el objeto es el desplegable de Informacin General de Distrito.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable de Informacin General de Distrito.
	 */
	public boolean isComboGralDto(Object obj) {
		if (obj == this.comboDatoGeneralDto)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el desplegable de Informacin General de Zona Estadstica.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable de Informacin General de Zona Estadstica.
	 */
	public boolean isComboGralZE(Object obj) {
		if (obj == this.comboDatoGeneralZE)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el desplegable de comparacin de Distrito.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable de comparacin de Distrito.
	 */
	public boolean isComboComparaDto(Object obj) {
		if (obj == this.comboCompararDto)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el desplegable de comparacin de Zona Estadstica.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable de comparacin de Zona Estadstica.
	 */
	public boolean isComboComparaZE(Object obj) {
		if (obj == this.comboCompararZE)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el desplegable inferior de comparacin de Valladolid con Zona Estadstica.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable inferior de comparacin de Valladolid con Zona Estadstica.
	 */
	public boolean isComboComparaZE2VA(Object obj) {
		if (obj == this.comboZE2VA)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el desplegable superior de comparacin de Valladolid con Distrito.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable superior de comparacin de Valladolid con Distrito.
	 */
	public boolean isComboComparaDto1VA(Object obj) {
		if (obj == this.comboDto1VA)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el desplegable superior de comparacin de Valladolid con Zona Estadstica.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable superior de comparacin de Valladolid con Zona Estadstica.
	 */
	public boolean isComboComparaZE1VA(Object obj) {
		if (obj == this.comboZE1VA)
			return true;
		return false;
	}
	
	/**
	 * Devuelve si el objeto es el desplegable inferior de comparacin de Valladolid con Distrito.
	 * 
	 * @param obj Objeto
	 * @return True si es el desplegable inferior de comparacin de Valladolid con Distrito.
	 */
	public boolean isComboComparaDto2VA(Object obj) {
		if (obj == this.comboDto2VA)
			return true;
		return false;
	}
	
	/**
	 * Devuelve el valor seleccionado en el desplegable de Informacin General de Distrito.
	 * 
	 * @return Valor seleccionado en el desplegable de Informacin General de Distrito.
	 */
	public String getValorComboGralDto() {
		return (String) this.comboDatoGeneralDto.getSelectedItem();
	}
	
	/**
	 * Devuelve el valor seleccionado en el desplegable de Informacin General de Zona Estadstica.
	 * 
	 * @return Valor seleccionado en el desplegable de Informacin General de Zona Estadstica.
	 */
	public String getValorComboGralZE() {
		return (String) this.comboDatoGeneralZE.getSelectedItem();
	}

	/**
	 * Asigna un valor a comparaDtoActual y rellena el comboBox de consulta en funcin del mismo.
	 * 
	 * @param valor	Valor a asignar a comparaDtoActual
	 */
	public void setComparaDtoActual(int valor) {
		this.comparaDtoActual = valor;
		if (valor!=-1) {
			comboCompararDto.removeAllItems();
			for (int i = 0; i < listadoDto.length; i++) {
				if (i == (valor+1))
						continue;
				comboCompararDto.addItem(listadoDto[i]);
			}
		}
	}

	/**
	 * Asigna un valor a comparaZEActual y rellena el comboBox de consulta en funcin del mismo.
	 * 
	 * @param valor	Valor a asignar a comparaDtoActual
	 */
	public void setComparaZEActual(int valor) {
		this.comparaZEActual = valor;
		if (valor!=-1) {
			comboCompararZE.removeAllItems();
			for (int i = 0; i < listadoZE.length; i++) {
				if (i == (valor+1)) {
					continue;}
				comboCompararZE.addItem(listadoZE[i]);
			}
		}
	}
	
	/**
	 * Asigna el tipo de la comparacin actual de Distrito.
	 * 
	 * @param valor Tipo de la comparacin actual de Distrito.
	 */
	public void setComparaDtoTipo(String valor) {
		this.comparaDtoTipo = valor;
	}
	
	/**
	 * Asigna el tipo de la comparacin actual de Zona Estadstica.
	 * 
	 * @param valor Tipo de la comparacin actual de Zona Estadstica.
	 */
	public void setComparaZETipo(String valor) {
		this.comparaZETipo = valor;
	}
	
	/**
	 * Asigna el tipo de la comparacin actual de Valladolid.
	 * 
	 * @param valor Tipo de la comparacin actual de Valladolid.
	 */
	public void setComparaVATipo(String valor) {
		this.tipoConsultaVA = valor;
	}
	
	/**
	 * Devuelve el tipo de la comparacin actual de Distrito.
	 * 
	 * @return Tipo de la comparacin actual de Distrito.
	 */
	public String getComparaDtoTipo() {
		return this.comparaDtoTipo;
	}
	
	/**
	 * Devuelve el tipo de la comparacin actual de Zona Estadstica.
	 * 
	 * @return Tipo de la comparacin actual de Zona Estadstica.
	 */
	public String getComparaZETipo() {
		return this.comparaZETipo;
	}
	
	/**
	 * Devuelve el tipo de la comparacin actual de Valladolid.
	 * 
	 * @return Tipo de la comparacin actual de Valladolid.
	 */
	public String getComparaVATipo() {
		return this.tipoConsultaVA;
	}
	
	/**
	 * Asigna la descripcin de la consulta de Distrito.
	 * 	
	 * @param text Descripcin de la consulta de Distrito.
	 */
	public void setTextoConsultaDto(String text) {
		this.labelDescConsultaDto.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la Informacin General de Distrito.
	 * 	
	 * @param text Descripcin de la Informacin General de Distrito.
	 */
	public void setTextoDatosDto(String text) {
		this.labelComparaDto1.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la comparativa de Distrito.
	 * 	
	 * @param text Descripcin de la comparativa de Distrito.
	 */
	public void setTextoComparaDto(String text) {
		this.labelComparaDto2.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la consulta de Zona Estadstica.
	 * 	
	 * @param text Descripcin de la consulta de Zona Estadstica.
	 */
	public void setTextoConsultaZE(String text) {
		this.labelDescConsultaZE.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la consulta de Valladolid.
	 * 	
	 * @param text Descripcin de la consulta de Valladolid.
	 */
	public void setTextoConsultaVA(String text) {
		this.lblInfoVA.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la Informacin General de Zona Estadstica.
	 * 	
	 * @param text Descripcin de la Informacin General de Zona Estadstica.
	 */
	public void setTextoDatosZE(String text) {
		this.labelComparaZE1.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la comparativa de Zona Estadstica.
	 * 	
	 * @param text Descripcin de la comparativa de Zona Estadstica.
	 */
	public void setTextoComparaZE(String text) {
		this.labelComparaZE2.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la comparativa inferior de Valladolid.
	 * 	
	 * @param text Descripcin de la comparativa inferior de Valladolid.
	 */
	public void setTextoInfVA(String text) {
		this.lblCompararInfVA.setText(text);
	}
	
	/**
	 * Asigna la descripcin de la comparativa superior de Valladolid.
	 * 	
	 * @param text Descripcin de la comparativa superior de Valladolid.
	 */
	public void setTextoSupVA(String text) {
		this.lblCompararSupVA.setText(text);
	}
	
	/**
	 * Reestablece los valores de las comparativas de Valladolid. Elimina grficas y textos y resetea
	 * los desplegables.
	 */
	public void reestableceComparativaVA() {
		this.comboDto1VA.setSelectedIndex(0);
		this.comboZE2VA.setSelectedIndex(0);
		this.comboDto2VA.setSelectedIndex(0);
		this.comboZE1VA.setSelectedIndex(0);
		this.lblCompararSupVA.setText("");
		this.lblCompararInfVA.setText("");
		this.chartInfVA.setChart(null);
		this.chartSupVA.setChart(null);
	}

	/**
	 * Asigna la grfica resultado de la consulta de Distrito.
	 * 
	 * @param chart Grfica resultado de la consulta de Distrito.
	 */
	public void setChartConsultaDto(JFreeChart chart) {
		chartConsultaDto.setChart(chart);
	}

	/**
	 * Asigna la grfica resultado de la consulta de Zona Estadstica.
	 * 
	 * @param chart Grfica resultado de la consulta de Zona Estadstica.
	 */
	public void setChartConsultaZE(JFreeChart chart) {
		chartConsultaZE.setChart(chart);
	}
	
	/**
	 * Asigna la grfica resultado de la consulta de Valladolid.
	 * 
	 * @param chart Grfica resultado de la consulta de Valladolid.
	 */
	public void setChartConsultaVA(JFreeChart chart) {
		chartGeneralVA.setChart(chart);
		if (chart.equals(null))
			consultaCargadaVA = false;
		else
			consultaCargadaVA = true;
	}

	/**
	 * Asigna la grfica resultado de la Informacin General de Distrito.
	 * 
	 * @param chart Grfica resultado de la Informacin General de Distrito.
	 */
	public void setChartCompDto1(JFreeChart chart) {
		chartComparaDto1.setChart(chart);
	}
	
	/**
	 * Asigna la grfica resultado de la comparativa de Distrito.
	 * 
	 * @param chart Grfica resultado de la comparativa de Distrito.
	 */
	public void setChartCompDto2(JFreeChart chart) {
		chartComparaDto2.setChart(chart);
	}
	
	/**
	 * Asigna la grfica resultado de la Informacin General de Zona Estadstica.
	 * 
	 * @param chart Grfica resultado de la Informacin General de Zona Estadstica.
	 */
	public void setChartCompZE1(JFreeChart chart) {
		chartComparaZE1.setChart(chart);
	}
	
	/**
	 * Asigna la grfica resultado de la comparativa de Zona Estadstica.
	 * 
	 * @param chart Grfica resultado de la comparativa de Zona Estadstica.
	 */
	public void setChartCompZE2(JFreeChart chart) {
		chartComparaZE2.setChart(chart);
	}
	
	/**
	 * Asigna la grfica resultado de la comparativa inferior de Valladolid.
	 * 
	 * @param chart Grfica resultado de la comparativa inferior de Valladolid.
	 */
	public void setChartInfVA(JFreeChart chart) {
		this.chartInfVA.setChart(chart);
	}
	
	/**
	 * Asigna la grfica resultado de la comparativa superior de Valladolid.
	 * 
	 * @param chart Grfica resultado de la comparativa superior de Valladolid.
	 */
	public void setChartSupVA(JFreeChart chart) {
		this.chartSupVA.setChart(chart);
	}
	
	// Mtodos privados para instanciar, establecer y controlar los elementos
	// de la interfaz	
	private void iniciaContentPane() {
		contentPane = new JPanel();
		contentPane.setLayout(null);
		contentPane.setBackground(Color.WHITE);
		this.setContentPane(contentPane);
	}
		
	private void iniciaTabbedGeneral() {
		tabbedGeneral = new JTabbedPane(JTabbedPane.TOP);
		tabbedGeneral.setBounds(0, 0, 1200, 800);
		contentPane.add(tabbedGeneral);
	}
		
	private void iniciaPestanhasGenerales() {
		
		// Inicio de la pestaa Valladolid
		pestanhaValladolid = new JPanel();
		pestanhaValladolid.setBounds(0, 11, 1200, 775);
		pestanhaValladolid.setLayout(null);
		tabbedGeneral.addTab("Valladolid (sin divisin)", null, pestanhaValladolid,null);
		
		// Inicio la pestaa Distrito
		pestanhaDistrito = new JPanel();
		pestanhaDistrito.setBounds(0, 11, 1200, 775);
		pestanhaDistrito.setLayout(null);
		tabbedGeneral.addTab("Divisin por Distrito", null, pestanhaDistrito,null);
		
		// Inicio la pestaa Seccin Estadstica
		pestanhaZonaEstad = new JPanel();
		pestanhaZonaEstad.setBounds(0, 11, 1200, 775);
		pestanhaZonaEstad.setLayout(null);
		tabbedGeneral.addTab("Divisin por Zona Estadstica", null, pestanhaZonaEstad,null);
		
		pestanhaInfoAyuda = new JPanel();
		pestanhaInfoAyuda.setBounds(0, 11, 1200, 790);
		pestanhaInfoAyuda.setLayout(null);
		tabbedGeneral.addTab("Informacin - Ayuda", null, pestanhaInfoAyuda,null);
		
		lblInfoAyuda = new JLabel("<html><center>--- INFORMACIN Y AYUDA PARA UTILIZAR LA APLICACIN ---</center><br/>" +
				"<p>Seleccione en las pestaas superiores la divisin que desee consultar de entre las siguientes:</p>" +
				"* Valladolid (sin divisiones)<br/>" +
				"* Distrito Censal<br/>" +
				"* Zona Estadstica<br/><br/>" +
				"<center>-- VALLADOLID --</center><br/>" +
				"<p align=\"justify\">En el men situado a la izquierda podr realizar consultas a partir de un tipo de distribucin y acorde a una serie de parmetros. Seguidamente podr compararse el resultado con la aplicacin de esos mismos parmetros sobre un determinado Distrito y/o Zona Estadstica.</p>" +
				"<br/><p align=\"justify\">Las grficas desplegadas permiten varias operaciones, como mostrar el valor numrico de un elemento simplemente deteniendo el puntero del ratn sobre l o hacer zoom in o out dejando pulsado el ratn y desplazando el puntero hacia abajo o arriba respectivamente.</p><br/>" +
				"<br/><center>-- DISTRITO Y/O ZONA ESTADSTICA --</center><br/>" +
				"<p align=\"justify\">La estructura de las divisiones por Distrito o Zona Estadstica es similar.</p><br/>" +
				"<p align=\"justify\">Seleccione en primer lugar en el mapa situado a la izquierda el Distrito o Zona Estadstica sobre el que quiera obtener informacin. En la parte superior de la pantalla puede encontrar detallados los lmites que conforman cada zona.</p><br/>" +
				"<p align=\"justify\">Podr comprobar que en la parte derecha de la pantalla hay un men con dos pestaas que podr utilizar tras seleccionar una divisin del mapa.</p><br/>" +
				"<center>- Informacin General -</center><br/>" +
				"<p align=\"justify\">En este apartado podr seleccionar un tipo de distribucin y obtener una representacin grfica para el Distrito o Zona seleccionado.</p><br/>" +
				"<p align=\"justify\">Tras obtener una primera representacin, podr compararla de forma rpida con otro Distrito o Zona (segn corresponda), eligiendo la misma en el desplegable inferior.</p><br/>" +
				"<center>- Consulta -</center><br/>" +
				"<p align=\"justify\">En este apartado podr ajustar las caractersticas de la poblacin a representar seleccionando entre los distintos parmetros.</p>" +
				"</html>");
		lblInfoAyuda.setBounds(10, 11, 580, 750);
		pestanhaInfoAyuda.add(lblInfoAyuda);
		
		lblInfoDistribucion = new JLabel("<html><center>--- DESCRIPCI\u00D3N DE LAS DISTRIBUCIONES Y LOS PAR\u00C1METROS ---</center><br/><center>&nbsp;-- DISTRIBUCIONES --</center><br/><p align=\"justify\">&nbsp;SEXO: Clasificaci\u00F3n de los individuos en funci\u00F3n de su sexo.</p><p align=\"justify\">&nbsp;PROCEDENCIA (NACIONAL): Clasificaci\u00F3n de los individuos en funci\u00F3n la Comunidad Aut\u00F3noma de origen.</p><p align=\"justify\">&nbsp;PROCEDENCIA (EXTRANJERA): Clasificaci\u00F3n de los individuos extranjeros en funci\u00F3n de su continente de origen.</p><p align=\"justify\">&nbsp;ESTUDIOS: Clasificaci\u00F3n de los individuos en funci\u00F3n de su nivel de estudios.</p><p align=\"justify\">&nbsp;EDAD: Clasificaci\u00F3n de los individuos en funci\u00F3n de su edad.</p><br/><center>-- PAR\u00C1METROS --</center>");
		lblInfoDistribucion.setBounds(610, 11, 580, 210);
		pestanhaInfoAyuda.add(lblInfoDistribucion);
		
		JSeparator separator = new JSeparator();
		separator.setOrientation(SwingConstants.VERTICAL);
		separator.setBounds(600, 11, 1, 750);
		pestanhaInfoAyuda.add(separator);
		
		lblInfoParam1 = new JLabel("<html>"+
				"<center>-- PROCEDENCIA-- </center><br/>" +
				"<p>&nbsp;ESPAA</p>" +
				"<p>&nbsp;ANDALUCA</p>" +
				"<p>&nbsp;ARAGN</p>" +
				"<p>&nbsp;PRINCIPADO DE ASTURIAS</p>" +
				"<p>&nbsp;ISLAS BALEARES</p>" +
				"<p>&nbsp;ISLAS CANARIAS</p>" +
				"<p>&nbsp;CANTABRIA</p>" +
				"<p>&nbsp;CASTILLA-LA MANCHA</p>" +
				"<p>&nbsp;CASTILLA Y LEN</p>" +
				"<p>&nbsp;CATALUA</p>" +
				"<p>&nbsp;EXTREMADURA</p>" +
				"<p>&nbsp;GALICIA</p>" +
				"<p>&nbsp;COMUNIDAD DE MADRID</p>" +
				"<p>&nbsp;REGIN DE MURCIA</p>" +
				"<p>&nbsp;NAVARRA</p>" +
				"<p>&nbsp;PAS VASCO</p>" +
				"<p>&nbsp;LA RIOJA</p>" +
				"<p>&nbsp;COMUNIDAD VALENCIANA</p>" +
				"<p>&nbsp;CEUTA</p>" +
				"<p>&nbsp;MELILLA</p>" +
				"<p>&nbsp;EUROPA (europeos no espaoles)</p>" +
				"<p>&nbsp;FRICA</p>" +
				"<p>&nbsp;AMRICA DEL NORTE</p>" +
				"<p>&nbsp;AMRICA CENTRAL</p>" +
				"<p>&nbsp;AMRICA DEL SUR</p>" +
				"<p>&nbsp;ASIA</p>" +
				"<p>&nbsp;OCEANA</p>" +
				"<p>&nbsp;APTRIDA</p>" +
				"<br/><br/></html>");
		lblInfoParam1.setBounds(610, 232, 280, 529);
		pestanhaInfoAyuda.add(lblInfoParam1);
		
		lblInfoParam2 = new JLabel("<html><center>-- SEXO --</center><br/>" +
				"<p>&nbsp;VARN</p>" +
				"<p>&nbsp;MUJER</p><br/>" +
				"<center>-- EDAD --</center><br/>" +
				"<p>&nbsp;RANGOS DE 5 AOS DE EDAD (HASTA 84 AOS)</p>" +
				"<p>&nbsp;85  MS AOS</p><br/>" +
				"<center>-- ESTUDIOS --</center><br/>" +
				"<p>&nbsp;SIN ESTUDIOS: Individuos sin estudios completados." +
				"<p>&nbsp;ESTUDIOS PRIMARIOS: Estudios que se inician a los 5  6 aos y finalizan a los 11  12 aos.</p>" +
				"<p>&nbsp;ENSEANZA PROFESIONAL DE 2 GRADO (SEGUNDO CICLO): Formacin profesional de primer grado o equivalente.</p>" +
				"<p>&nbsp;ENSEANZA SECUNDARIA (PRIMER CICLO): Formacin de carcter general destinada a individuos cuya edad est comprendida " +
				"entre los 11  12 aos y los 13  14 aos (sistemas antiguos) y los 15  16 (sistema actual).</p>" +
				"<p>&nbsp;ENSEANZA PROFESIONAL SUPERIOR: FP2 o equivalente.</p>" +
				"<p>&nbsp;ENSEANZA SECUNDARIA (SEGUNDO CICLO): Bachillerato o equivalente.</p>" +
				"<p>&nbsp;ESTUDIOS UNIVERSITARIOS O SUPERIORES: Estudios universitarios (1  2 ciclos) y postgrado.</p>" +
				"<p>&nbsp;DESCONOCIDO: Individuos sin informacin relativa al nivel de estudios.</p><br/>" +
				"</html>");
		lblInfoParam2.setBounds(900, 232, 280, 529);
		pestanhaInfoAyuda.add(lblInfoParam2);
	}
		
	private void iniciaComponentesValladolid() {
		panelConsultaValladdolid = new JPanel();
		panelConsultaValladdolid.setBounds(0, 0, 590, 137);
		panelConsultaValladdolid.setLayout(null);
		pestanhaValladolid.add(panelConsultaValladdolid);
		
		JLabel lblTipoDist = new JLabel("Datos a representar:");
		lblTipoDist.setHorizontalAlignment(SwingConstants.RIGHT);
		lblTipoDist.setBounds(10, 11, 120, 14);
		panelConsultaValladdolid.add(lblTipoDist);
		
		// Etiquetas Sexo, Edad, Procedencia, Estudios (activables y desactivables desde fuera)
		lblSexoVA = new JLabel("Sexo:");
		lblSexoVA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblSexoVA.setBounds(84, 51, 46, 14);
		panelConsultaValladdolid.add(lblSexoVA);
		
		lblEstudiosVA = new JLabel("Estudios:");
		lblEstudiosVA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblEstudiosVA.setBounds(50, 76, 80, 14);
		panelConsultaValladdolid.add(lblEstudiosVA);
		
		lblProcedenciaVA = new JLabel("Procedencia:");
		lblProcedenciaVA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblProcedenciaVA.setBounds(315, 51, 75, 14);
		panelConsultaValladdolid.add(lblProcedenciaVA);
		
		lblEdadVA = new JLabel("Edad:");
		lblEdadVA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblEdadVA.setBounds(344, 76, 46, 14);
		panelConsultaValladdolid.add(lblEdadVA);
		
		// Combos Datos a Representar, Seccin, Sexo, Edad, Procedencia, Estudios
		comboTipoDistribucionVA = new JComboBox(tipoDistribucion);
		comboTipoDistribucionVA.setBounds(140, 8, 165, 20);
		panelConsultaValladdolid.add(comboTipoDistribucionVA);
		//enlapiadebajodelmar
		comboTipoDistribucionVA.addItemListener(control);
		
		comboSexoVA = new JComboBox(rangoSexo);
		comboSexoVA.setBounds(140, 48, 165, 20);
		panelConsultaValladdolid.add(comboSexoVA);
		
		comboEstudiosVA = new WideComboBox(rangoEstudios);
		comboEstudiosVA.setBounds(140, 73, 165, 20);
		panelConsultaValladdolid.add(comboEstudiosVA);
		
		comboProcedenciaVA = new JComboBox(rangoProcedencia);
		comboProcedenciaVA.setBounds(400, 48, 165, 20);
		panelConsultaValladdolid.add(comboProcedenciaVA);
		
		comboEdadVA = new JComboBox(rangoEdad);
		comboEdadVA.setBounds(400, 73, 165, 20);
		panelConsultaValladdolid.add(comboEdadVA);
		
		JSeparator separatorA = new JSeparator();
		separatorA.setBounds(20, 36, 560, 2);
		panelConsultaValladdolid.add(separatorA);
		
		// Botn "Consultar"
		btnConsultarVA = new JButton("Consultar");
		btnConsultarVA.setBounds(476, 103, 89, 23);
		panelConsultaValladdolid.add(btnConsultarVA);

		chartGeneralVA = new ChartPanel(null);
		chartGeneralVA.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartGeneralVA.setPopupMenu(null);
		chartGeneralVA.setBounds(10, 148, 580, 360);
		pestanhaValladolid.add(chartGeneralVA);
		
		lblCompararDto1VA = new JLabel("Comparar con Distrito:");
		lblCompararDto1VA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblCompararDto1VA.setBounds(615, 11, 155, 14);
		lblCompararDto1VA.setEnabled(false);
		pestanhaValladolid.add(lblCompararDto1VA);
		
		lblCompararDto2VA = new JLabel("Comparar con Distrito:");
		lblCompararDto2VA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblCompararDto2VA.setBounds(615, 396, 155, 14);
		lblCompararDto2VA.setEnabled(false);
		pestanhaValladolid.add(lblCompararDto2VA);
		
		lblCompararSupVA = new JLabel("");
		lblCompararSupVA.setBounds(615, 360, 570, 14);
		pestanhaValladolid.add(lblCompararSupVA);
		
		JSeparator separator = new JSeparator();
		separator.setBounds(605, 383, 580, 2);
		pestanhaValladolid.add(separator);
		
		chartSupVA = new ChartPanel(null);
		chartSupVA.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartSupVA.setPopupMenu(null);
		chartSupVA.setBounds(605, 36, 580, 318);
		pestanhaValladolid.add(chartSupVA);
		
		chartInfVA = new ChartPanel(null);
		chartInfVA.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartInfVA.setPopupMenu(null);
		chartInfVA.setBounds(605, 421, 580, 318);
		pestanhaValladolid.add(chartInfVA);
		
		lblCompararInfVA = new JLabel("");
		lblCompararInfVA.setBounds(610, 747, 575, 14);
		pestanhaValladolid.add(lblCompararInfVA);
		
		comboDto1VA = new JComboBox(listadoDto);
		comboDto1VA.setBounds(780, 8, 125, 20);
		comboDto1VA.setEnabled(false);
		comboDto1VA.addItemListener(control);
		pestanhaValladolid.add(comboDto1VA);
		
		comboZE2VA = new JComboBox(listadoZE);
		comboZE2VA.setBounds(1045, 393, 125, 20);
		comboZE2VA.setEnabled(false);
		comboZE2VA.addItemListener(control);
		pestanhaValladolid.add(comboZE2VA);
		
		lblInfoVA = new JLabel("");
		lblInfoVA.setBounds(20, 519, 570, 242);
		pestanhaValladolid.add(lblInfoVA);
		
		comboZE1VA = new JComboBox(listadoZE);
		comboZE1VA.setEnabled(false);
		comboZE1VA.setBounds(1045, 8, 125, 20);
		comboZE1VA.addItemListener(control);
		pestanhaValladolid.add(comboZE1VA);
		
		comboDto2VA = new JComboBox(listadoDto);
		comboDto2VA.setEnabled(false);
		comboDto2VA.setBounds(780, 393, 125, 20);
		comboDto2VA.addItemListener(control);
		pestanhaValladolid.add(comboDto2VA);
		
		lblCompararZE1VA = new JLabel("o Zona Estad\u00EDstica:");
		lblCompararZE1VA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblCompararZE1VA.setEnabled(false);
		lblCompararZE1VA.setBounds(915, 396, 120, 14);
		pestanhaValladolid.add(lblCompararZE1VA);
		
		lblCompararZE2VA = new JLabel("o Zona Estad\u00EDstica:");
		lblCompararZE2VA.setHorizontalAlignment(SwingConstants.RIGHT);
		lblCompararZE2VA.setEnabled(false);
		lblCompararZE2VA.setBounds(915, 11, 120, 14);
		pestanhaValladolid.add(lblCompararZE2VA);
	}
		
	private void iniciaComponentesDistrito() {
		// Creacin Panel Info del Distrito
		infoDistritoLabel = new JLabel("<html>Seleccione un Distrito.</html>");
		infoDistritoLabel.setBounds(10, 5, 1175, 45);
		pestanhaDistrito.add(infoDistritoLabel);

		// Creacin Panel polgonos Distrito
		creaPoligonosDistrito();
		polygonPanelDistrito = new PolygonPanel(poligonosDistrito, colorsDistrito);
		polygonPanelDistrito.setBounds(10, 55, 510, 706);
		polygonPanelDistrito.setVisible(true);
		pestanhaDistrito.add(polygonPanelDistrito);
		
		// Creacin Panel mapa Distrito
		picLabelDistrito = new JLabel(new ImageIcon(mapaDistrito));
		picLabelDistrito.setBounds(10, 55, 510, 706);
		pestanhaDistrito.add(picLabelDistrito);
		
		// Creacin tabbed Info Gral y Consulta de Distrito
		tabbedDistrito = new JTabbedPane(JTabbedPane.TOP);
		tabbedDistrito.setBounds(530, 55, 660, 706);
		pestanhaDistrito.add(tabbedDistrito);
		
		// Creacin pestaa Info General
		pestanhaDatosGralesDto = new JPanel();
		tabbedDistrito.addTab("Informacin General", null, pestanhaDatosGralesDto, null);
		pestanhaDatosGralesDto.setLayout(null);
		
		// Creacin contenido Info General
		iniciaContenidoDatosDto();
		
		// Creacin pestaa Consulta
		pestanhaConsultaDto = new JPanel();
		pestanhaConsultaDto.setLayout(null);
		tabbedDistrito.addTab("Consulta", null, pestanhaConsultaDto, null);
		
		// Creacin contenido Consulta
		panelConsultaDistrito = new JPanel();
		panelConsultaDistrito.setBounds(0, 0, 655, 137);
		panelConsultaDistrito.setLayout(null);
		iniciaContenidoConsultaDistrito();
		pestanhaConsultaDto.add(panelConsultaDistrito);
	}
		
	private void iniciaComponentesZonaEstadistica() {
		// Creacin Panel Info de la ZE
		infoZonaEstLabel = new JLabel("<html>Seleccione una Zona Estadstica.</html>");
		infoZonaEstLabel.setBounds(10, 5, 1175, 45);
		pestanhaZonaEstad.add(infoZonaEstLabel);
		
		// Creacin Panel polgonos ZE
		creaPoligonosZonaEst();
		polygonPanelZonaEst = new PolygonPanel(poligonosZonaEst, colorsZonaEst);
		polygonPanelZonaEst.setBounds(10, 55, 510, 706);
		polygonPanelZonaEst.setVisible(true);
		pestanhaZonaEstad.add(polygonPanelZonaEst);
		
		// Creacin Panel mapa ZE
		picLabelZonaEst = new JLabel(new ImageIcon(mapaZonaEst));
		picLabelZonaEst.setBounds(10, 55, 510, 706);
		pestanhaZonaEstad.add(picLabelZonaEst);
		
		// Creacin tabbed Info Gral y Consulta de ZE
		tabbedZonaEst = new JTabbedPane(JTabbedPane.TOP);
		tabbedZonaEst.setBounds(530, 55, 660, 706);
		pestanhaZonaEstad.add(tabbedZonaEst);
				
		// Creacin pestaa Info General
		pestanhaDatosGralesZonaEst = new JPanel();
		pestanhaDatosGralesZonaEst.setLayout(null);
		tabbedZonaEst.addTab("Informacin General", null, pestanhaDatosGralesZonaEst, null);
				
		// Creacin pestaa Consulta
		pestanhaConsultaZonaEst = new JPanel();
		pestanhaConsultaZonaEst.setLayout(null);
		tabbedZonaEst.addTab("Consulta", null, pestanhaConsultaZonaEst, null);
		
		iniciaContenidoDatosZE();
		
		// Creacin contenido Consulta
		panelConsultaZonaEst = new JPanel();
		panelConsultaZonaEst.setBounds(0, 0, 655, 137);
		panelConsultaZonaEst.setLayout(null);
		iniciaContenidoConsultaZonaEst();
		pestanhaConsultaZonaEst.add(panelConsultaZonaEst);
	}
		
	private void iniciaContenidoConsultaDistrito() {
		// Etiquetas Datos a Representar, Seccin (no accesibles desde fuera)
		JLabel lblTipoDist = new JLabel("Datos a representar:");
		lblTipoDist.setHorizontalAlignment(SwingConstants.RIGHT);
		lblTipoDist.setBounds(10, 11, 130, 14);
		panelConsultaDistrito.add(lblTipoDist);
		
		lblSeccionDto = new JLabel("Secci\u00F3n:");
		lblSeccionDto.setHorizontalAlignment(SwingConstants.RIGHT);
		lblSeccionDto.setBounds(358, 11, 68, 14);
		panelConsultaDistrito.add(lblSeccionDto);
		
		// Etiquetas Sexo, Edad, Procedencia, Estudios (activables y desactivables desde fuera)
		lblSexoDto = new JLabel("Sexo:");
		lblSexoDto.setHorizontalAlignment(SwingConstants.RIGHT);
		lblSexoDto.setBounds(94, 51, 46, 14);
		panelConsultaDistrito.add(lblSexoDto);
		
		lblEstudiosDto = new JLabel("Estudios:");
		lblEstudiosDto.setHorizontalAlignment(SwingConstants.RIGHT);
		lblEstudiosDto.setBounds(60, 76, 80, 14);
		panelConsultaDistrito.add(lblEstudiosDto);
		
		lblProcedenciaDto = new JLabel("Procedencia:");
		lblProcedenciaDto.setHorizontalAlignment(SwingConstants.RIGHT);
		lblProcedenciaDto.setBounds(340, 51, 86, 14);
		panelConsultaDistrito.add(lblProcedenciaDto);
		
		lblEdadDto = new JLabel("Edad:");
		lblEdadDto.setHorizontalAlignment(SwingConstants.RIGHT);
		lblEdadDto.setBounds(380, 76, 46, 14);
		panelConsultaDistrito.add(lblEdadDto);
		
		// Combos Datos a Representar, Seccin, Sexo, Edad, Procedencia, Estudios
		comboTipoDistribucionDto = new JComboBox(tipoDistribucion);
		comboTipoDistribucionDto.setBounds(150, 8, 170, 20);
		panelConsultaDistrito.add(comboTipoDistribucionDto);
		comboTipoDistribucionDto.addItemListener(control);
		
		comboSeccionDto = new JComboBox();
		comboSeccionDto.setBounds(436, 8, 170, 20);
		panelConsultaDistrito.add(comboSeccionDto);
		
		comboSexoDto = new JComboBox(rangoSexo);
		comboSexoDto.setBounds(150, 48, 170, 20);
		panelConsultaDistrito.add(comboSexoDto);
		
		comboEstudiosDto = new WideComboBox(rangoEstudios);
		comboEstudiosDto.setBounds(150, 73, 170, 20);
		panelConsultaDistrito.add(comboEstudiosDto);
		
		comboProcedenciaDto = new JComboBox(rangoProcedencia);
		comboProcedenciaDto.setBounds(436, 48, 170, 20);
		panelConsultaDistrito.add(comboProcedenciaDto);
		
		comboEdadDto = new JComboBox(rangoEdad);
		comboEdadDto.setBounds(436, 73, 170, 20);
		panelConsultaDistrito.add(comboEdadDto);
		
		// Combo Seccin Distrito
		comboSeccionDto.removeAllItems();
		comboSeccionDto.addItem("SeleccionarDistrito");
		
		// Separadores
		JSeparator separatorA = new JSeparator();
		separatorA.setBounds(10, 36, 635, 2);
		panelConsultaDistrito.add(separatorA);
		
		// Botn "Consultar"
		btnConsultarDto = new JButton("Consultar");
		btnConsultarDto.setBounds(517, 104, 89, 23);
		panelConsultaDistrito.add(btnConsultarDto);
		
		// Label Grfica
		chartConsultaDto = new ChartPanel(null);
		chartConsultaDto.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartConsultaDto.setBounds(0, 140, 655, 400);
		chartConsultaDto.setPopupMenu(null);
		pestanhaConsultaDto.add(chartConsultaDto);
		
		// Label Descripcion Consulta
		labelDescConsultaDto = new JLabel("");
		labelDescConsultaDto.setBounds(10, 551, 635, 127);
		pestanhaConsultaDto.add(labelDescConsultaDto);
	}
		
	private void iniciaContenidoConsultaZonaEst() {
		// Etiquetas Datos a Representar (no accesibles desde fuera)
		JLabel lblTipoDist = new JLabel("Datos a representar:");
		lblTipoDist.setHorizontalAlignment(SwingConstants.RIGHT);
		lblTipoDist.setBounds(10, 11, 130, 14);
		pestanhaConsultaZonaEst.add(lblTipoDist);
		
		// Etiquetas Sexo, Edad, Procedencia, Estudios (activables y desactivables desde fuera)
		lblSexoZE = new JLabel("Sexo:");
		lblSexoZE.setHorizontalAlignment(SwingConstants.RIGHT);
		lblSexoZE.setBounds(94, 51, 46, 14);
		pestanhaConsultaZonaEst.add(lblSexoZE);
		
		lblEstudiosZE = new JLabel("Estudios:");
		lblEstudiosZE.setHorizontalAlignment(SwingConstants.RIGHT);
		lblEstudiosZE.setBounds(60, 76, 80, 14);
		pestanhaConsultaZonaEst.add(lblEstudiosZE);
		
		lblProcedenciaZE = new JLabel("Procedencia:");
		lblProcedenciaZE.setHorizontalAlignment(SwingConstants.RIGHT);
		lblProcedenciaZE.setBounds(340, 51, 86, 14);
		pestanhaConsultaZonaEst.add(lblProcedenciaZE);
		
		lblEdadZE = new JLabel("Edad:");
		lblEdadZE.setHorizontalAlignment(SwingConstants.RIGHT);
		lblEdadZE.setBounds(380, 76, 46, 14);
		pestanhaConsultaZonaEst.add(lblEdadZE);
		
		// Combos Datos a Representar, Sexo, Edad, Procedencia, Estudios
		comboTipoDistribucionZE = new JComboBox(tipoDistribucion);
		comboTipoDistribucionZE.setBounds(150, 8, 170, 20);
		pestanhaConsultaZonaEst.add(comboTipoDistribucionZE);
		comboTipoDistribucionZE.addItemListener(control);
		
		comboSexoZE = new JComboBox(rangoSexo);
		comboSexoZE.setBounds(150, 48, 170, 20);
		pestanhaConsultaZonaEst.add(comboSexoZE);
		
		comboEstudiosZE = new WideComboBox(rangoEstudios);
		comboEstudiosZE.setBounds(150, 73, 170, 20);
		pestanhaConsultaZonaEst.add(comboEstudiosZE);
		
		comboProcedenciaZE = new JComboBox(rangoProcedencia);
		comboProcedenciaZE.setBounds(436, 48, 170, 20);
		pestanhaConsultaZonaEst.add(comboProcedenciaZE);
		
		comboEdadZE = new JComboBox(rangoEdad);
		comboEdadZE.setBounds(436, 73, 170, 20);
		pestanhaConsultaZonaEst.add(comboEdadZE);
		
		// Separadores
		JSeparator separatorA = new JSeparator();
		separatorA.setBounds(10, 36, 635, 2);
		pestanhaConsultaZonaEst.add(separatorA);
				
		// Botn "Consultar"
		btnConsultarZE = new JButton("Consultar");
		btnConsultarZE.setBounds(517, 104, 89, 23);
		pestanhaConsultaZonaEst.add(btnConsultarZE);
		
		// Label Grfica
		chartConsultaZE = new ChartPanel(null);
		chartConsultaZE.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartConsultaZE.setBounds(0, 140, 655, 400);
		chartConsultaZE.setPopupMenu(null);
		pestanhaConsultaZonaEst.add(chartConsultaZE);
				
		// Label Descripcion Consulta
		labelDescConsultaZE = new JLabel("");
		labelDescConsultaZE.setBounds(10, 551, 635, 127);
		pestanhaConsultaZonaEst.add(labelDescConsultaZE);
	}
		
	private void iniciaContenidoDatosDto() {
		chartComparaDto1 = new ChartPanel(null);
		chartComparaDto1.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartComparaDto1.setBounds(0, 39, 655, 280);
		chartComparaDto1.setPopupMenu(null);
		pestanhaDatosGralesDto.add(chartComparaDto1);
		
		chartComparaDto2 = new ChartPanel(null);
		chartComparaDto2.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartComparaDto2.setBounds(0, 362, 655, 280);
		chartComparaDto2.setPopupMenu(null);
		pestanhaDatosGralesDto.add(chartComparaDto2);
		
		labelComparaDto2 = new JLabel("");
		labelComparaDto2.setBounds(10, 653, 635, 14);
		pestanhaDatosGralesDto.add(labelComparaDto2);
		
		comboCompararDto = new JComboBox();
		comboCompararDto.setBounds(477, 331, 168, 20);
		comboCompararDto.addItem("-- Seleccionar --");
		comboCompararDto.setEnabled(false);
		comboCompararDto.addItemListener(control);
		pestanhaDatosGralesDto.add(comboCompararDto);
		
		JLabel lblCompararCon = new JLabel("Comparar con:");
		lblCompararCon.setHorizontalAlignment(SwingConstants.RIGHT);
		lblCompararCon.setBounds(365, 334, 102, 14);
		pestanhaDatosGralesDto.add(lblCompararCon);
		
		labelComparaDto1 = new JLabel("");
		labelComparaDto1.setBounds(10, 334, 345, 14);
		pestanhaDatosGralesDto.add(labelComparaDto1);
		
		JLabel labelInfoGralDto = new JLabel("Seleccione un Distrito y un tipo de distribuci\u00F3n.");
		labelInfoGralDto.setBounds(10, 11, 345, 14);
		pestanhaDatosGralesDto.add(labelInfoGralDto);
		
		JLabel lblDistribucin = new JLabel("Distribuci\u00F3n:");
		lblDistribucin.setHorizontalAlignment(SwingConstants.RIGHT);
		lblDistribucin.setBounds(365, 11, 102, 14);
		pestanhaDatosGralesDto.add(lblDistribucin);
		
		comboDatoGeneralDto = new JComboBox(tipoDistribucion);
		comboDatoGeneralDto.setBounds(477, 8, 168, 20);
		comboDatoGeneralDto.setEnabled(false);
		comboDatoGeneralDto.addItemListener(control);
		pestanhaDatosGralesDto.add(comboDatoGeneralDto);
	}
		
	private void iniciaContenidoDatosZE() {
		chartComparaZE1 = new ChartPanel(null);
		chartComparaZE1.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartComparaZE1.setBounds(0, 39, 655, 280);
		chartComparaZE1.setPopupMenu(null);
		pestanhaDatosGralesZonaEst.add(chartComparaZE1);
		
		chartComparaZE2 = new ChartPanel(null);
		chartComparaZE2.setBorder(new EtchedBorder(EtchedBorder.LOWERED, null, null));
		chartComparaZE2.setBounds(0, 362, 655, 280);
		chartComparaZE2.setPopupMenu(null);
		pestanhaDatosGralesZonaEst.add(chartComparaZE2);
		
		labelComparaZE2 = new JLabel("");
		labelComparaZE2.setBounds(10, 653, 635, 14);
		pestanhaDatosGralesZonaEst.add(labelComparaZE2);
		
		comboCompararZE = new JComboBox();
		comboCompararZE.setBounds(477, 331, 168, 20);
		comboCompararZE.addItem("-- Seleccionar --");
		comboCompararZE.setEnabled(false);
		comboCompararZE.addItemListener(control);
		pestanhaDatosGralesZonaEst.add(comboCompararZE);
		
		JLabel lblCompararCon = new JLabel("Comparar con:");
		lblCompararCon.setHorizontalAlignment(SwingConstants.RIGHT);
		lblCompararCon.setBounds(365, 334, 102, 14);
		pestanhaDatosGralesZonaEst.add(lblCompararCon);
		
		labelComparaZE1 = new JLabel("");
		labelComparaZE1.setBounds(10, 334, 345, 14);
		pestanhaDatosGralesZonaEst.add(labelComparaZE1);

		JLabel labelInfoGralZE = new JLabel("Seleccione una Zona Estadstica y un tipo de distribuci\u00F3n.");
		labelInfoGralZE.setBounds(10, 11, 345, 14);
		pestanhaDatosGralesZonaEst.add(labelInfoGralZE);
		
		JLabel lblDistribucin = new JLabel("Distribuci\u00F3n:");
		lblDistribucin.setHorizontalAlignment(SwingConstants.RIGHT);
		lblDistribucin.setBounds(387, 11, 80, 14);
		pestanhaDatosGralesZonaEst.add(lblDistribucin);
		
		comboDatoGeneralZE = new JComboBox(tipoDistribucion);
		comboDatoGeneralZE.setBounds(477, 8, 168, 20);
		comboDatoGeneralZE.setEnabled(false);
		comboDatoGeneralZE.addItemListener(control);
		pestanhaDatosGralesZonaEst.add(comboDatoGeneralZE);
	}
		
	private void activaNecesariosDto() {
		switch (comboTipoDistribucionDto.getSelectedIndex()) {
		case 0:
			btnConsultarDto.setEnabled(false);
			comboSexoDto.setEnabled(true);
			comboProcedenciaDto.setEnabled(true);
			comboEstudiosDto.setEnabled(true);
			comboEdadDto.setEnabled(true);
			comboSeccionDto.setEnabled(true);
			lblSeccionDto.setEnabled(true);
			lblSexoDto.setEnabled(true);
			lblProcedenciaDto.setEnabled(true);
			lblEstudiosDto.setEnabled(true);
			lblEdadDto.setEnabled(true);
			break;
		case 1:
			btnConsultarDto.setEnabled(true);
			comboSexoDto.setEnabled(false);
			comboProcedenciaDto.setEnabled(true);
			comboEstudiosDto.setEnabled(true);
			comboEdadDto.setEnabled(true);
			comboSeccionDto.setEnabled(true);
			lblSeccionDto.setEnabled(true);
			lblSexoDto.setEnabled(false);
			lblProcedenciaDto.setEnabled(true);
			lblEstudiosDto.setEnabled(true);
			lblEdadDto.setEnabled(true);
			break;
		case 2:
		case 3:
			btnConsultarDto.setEnabled(true);
			comboSexoDto.setEnabled(true);
			comboProcedenciaDto.setEnabled(false);
			comboEstudiosDto.setEnabled(true);
			comboEdadDto.setEnabled(true);
			comboSeccionDto.setEnabled(true);
			lblSeccionDto.setEnabled(true);
			lblSexoDto.setEnabled(true);
			lblProcedenciaDto.setEnabled(false);
			lblEstudiosDto.setEnabled(true);
			lblEdadDto.setEnabled(true);
			break;
		case 4:
			btnConsultarDto.setEnabled(true);
			comboSexoDto.setEnabled(true);
			comboProcedenciaDto.setEnabled(true);
			comboEstudiosDto.setEnabled(false);
			comboEdadDto.setEnabled(true);
			comboSeccionDto.setEnabled(true);
			lblSeccionDto.setEnabled(true);
			lblSexoDto.setEnabled(true);
			lblProcedenciaDto.setEnabled(true);
			lblEstudiosDto.setEnabled(false);
			lblEdadDto.setEnabled(true);
			break;
		case 5:
			btnConsultarDto.setEnabled(true);
			comboSexoDto.setEnabled(true);
			comboProcedenciaDto.setEnabled(true);
			comboEstudiosDto.setEnabled(true);
			comboEdadDto.setEnabled(false);
			comboSeccionDto.setEnabled(true);
			lblSeccionDto.setEnabled(true);
			lblSexoDto.setEnabled(true);
			lblProcedenciaDto.setEnabled(true);
			lblEstudiosDto.setEnabled(true);
			lblEdadDto.setEnabled(false);
			break;
		}
		
		if (polygonPanelDistrito.getClicked()==-1) {
			btnConsultarDto.setEnabled(false);
			lblSeccionDto.setEnabled(false);
			comboSeccionDto.setEnabled(false);
		}
	}
		
	private void activaNecesariosZE() {
		switch (comboTipoDistribucionZE.getSelectedIndex()) {
		case 0:
			btnConsultarZE.setEnabled(false);
			comboSexoZE.setEnabled(true);
			comboProcedenciaZE.setEnabled(true);
			comboEstudiosZE.setEnabled(true);
			comboEdadZE.setEnabled(true);
			lblSexoZE.setEnabled(true);
			lblProcedenciaZE.setEnabled(true);
			lblEstudiosZE.setEnabled(true);
			lblEdadZE.setEnabled(true);
			break;
		case 1:
			btnConsultarZE.setEnabled(true);
			comboSexoZE.setEnabled(false);
			comboProcedenciaZE.setEnabled(true);
			comboEstudiosZE.setEnabled(true);
			comboEdadZE.setEnabled(true);
			lblSexoZE.setEnabled(false);
			lblProcedenciaZE.setEnabled(true);
			lblEstudiosZE.setEnabled(true);
			lblEdadZE.setEnabled(true);
			break;
		case 2:
		case 3:
			btnConsultarZE.setEnabled(true);
			comboSexoZE.setEnabled(true);
			comboProcedenciaZE.setEnabled(false);
			comboEstudiosZE.setEnabled(true);
			comboEdadZE.setEnabled(true);
			lblSexoZE.setEnabled(true);
			lblProcedenciaZE.setEnabled(false);
			lblEstudiosZE.setEnabled(true);
			lblEdadZE.setEnabled(true);
			break;
		case 4:
			btnConsultarZE.setEnabled(true);
			comboSexoZE.setEnabled(true);
			comboProcedenciaZE.setEnabled(true);
			comboEstudiosZE.setEnabled(false);
			comboEdadZE.setEnabled(true);
			lblSexoZE.setEnabled(true);
			lblProcedenciaZE.setEnabled(true);
			lblEstudiosZE.setEnabled(false);
			lblEdadZE.setEnabled(true);
			break;
		case 5:
			btnConsultarZE.setEnabled(true);
			comboSexoZE.setEnabled(true);
			comboProcedenciaZE.setEnabled(true);
			comboEstudiosZE.setEnabled(true);
			comboEdadZE.setEnabled(false);
			lblSexoZE.setEnabled(true);
			lblProcedenciaZE.setEnabled(true);
			lblEstudiosZE.setEnabled(true);
			lblEdadZE.setEnabled(false);
			break;
		}
		
		if (polygonPanelZonaEst.getClicked()==-1) {
			btnConsultarZE.setEnabled(false);
		}
	}
	
	private void activaNecesariosVA() {
		switch (comboTipoDistribucionVA.getSelectedIndex()) {
		case 0:
			btnConsultarVA.setEnabled(false);
			comboSexoVA.setEnabled(true);
			comboProcedenciaVA.setEnabled(true);
			comboEstudiosVA.setEnabled(true);
			comboEdadVA.setEnabled(true);
			lblSexoVA.setEnabled(true);
			lblProcedenciaVA.setEnabled(true);
			lblEstudiosVA.setEnabled(true);
			lblEdadVA.setEnabled(true);
			break;
		case 1:
			btnConsultarVA.setEnabled(true);
			comboSexoVA.setEnabled(false);
			comboProcedenciaVA.setEnabled(true);
			comboEstudiosVA.setEnabled(true);
			comboEdadVA.setEnabled(true);
			lblSexoVA.setEnabled(false);
			lblProcedenciaVA.setEnabled(true);
			lblEstudiosVA.setEnabled(true);
			lblEdadVA.setEnabled(true);
			break;
		case 2:
		case 3:
			btnConsultarVA.setEnabled(true);
			comboSexoVA.setEnabled(true);
			comboProcedenciaVA.setEnabled(false);
			comboEstudiosVA.setEnabled(true);
			comboEdadVA.setEnabled(true);
			lblSexoVA.setEnabled(true);
			lblProcedenciaVA.setEnabled(false);
			lblEstudiosVA.setEnabled(true);
			lblEdadVA.setEnabled(true);
			break;
		case 4:
			btnConsultarVA.setEnabled(true);
			comboSexoVA.setEnabled(true);
			comboProcedenciaVA.setEnabled(true);
			comboEstudiosVA.setEnabled(false);
			comboEdadVA.setEnabled(true);
			lblSexoVA.setEnabled(true);
			lblProcedenciaVA.setEnabled(true);
			lblEstudiosVA.setEnabled(false);
			lblEdadVA.setEnabled(true);
			break;
		case 5:
			btnConsultarVA.setEnabled(true);
			comboSexoVA.setEnabled(true);
			comboProcedenciaVA.setEnabled(true);
			comboEstudiosVA.setEnabled(true);
			comboEdadVA.setEnabled(false);
			lblSexoVA.setEnabled(true);
			lblProcedenciaVA.setEnabled(true);
			lblEstudiosVA.setEnabled(true);
			lblEdadVA.setEnabled(false);
			break;
		}
		
		if (consultaCargadaVA) {
			comboDto1VA.setEnabled(true);
			comboZE2VA.setEnabled(true);
			comboDto2VA.setEnabled(true);
			comboZE1VA.setEnabled(true);
			lblCompararDto1VA.setEnabled(true);
			lblCompararDto2VA.setEnabled(true);
			lblCompararZE1VA.setEnabled(true);
			lblCompararZE2VA.setEnabled(true);
		}
	}
	
	private void creaPoligonosDistrito() {
		colorsDistrito = new Color[12];
		colorsDistrito [0] = Color.BLUE;
		colorsDistrito [1] = Color.BLACK;
		colorsDistrito [2] = Color.cyan;
		colorsDistrito [3] = new Color(Integer.parseInt("FF6600", 16));
		colorsDistrito [4] = Color.yellow;
		colorsDistrito [5] = new Color(Integer.parseInt("002277", 16));
		colorsDistrito [6] = Color.pink;
		colorsDistrito [7] = new Color(Integer.parseInt("1ac172", 16));
		colorsDistrito [8] = Color.GRAY;
		colorsDistrito [9] = Color.ORANGE;
		colorsDistrito [10] = new Color(Integer.parseInt("005500", 16));
		colorsDistrito [11] = Color.magenta;
		
		// Array de polgonos
		poligonosDistrito = new Polygon[12]; 
		
		// Distrito 1
		int x0[] = {217, 219, 223, 223, 230, 235, 236, 239, 239, 254, 248, 246, 246, 239, 238, 227};
		int y0[] = {275, 295, 295, 306, 311, 309, 311, 309, 307, 305, 286, 282, 277, 274, 277, 275};
		poligonosDistrito[0] = new Polygon(x0,y0,16);
		
		// Distrito 2
		int x1[] = {219, 216, 173, 236, 240, 247, 249, 254, 239, 239, 236, 235, 230, 223, 223};
		int y1[] = {295, 307, 350, 349, 343, 340, 331, 305, 307, 309, 311, 309, 311, 306, 295};
		poligonosDistrito[1] = new Polygon(x1,y1,15);
		
		// Distrito 3
		int x2[] = {254, 249, 262, 276, 277, 266, 259, 259};
		int y2[] = {305, 331, 333, 333, 308, 303, 302, 305};
		poligonosDistrito[2] = new Polygon(x2,y2,8);
		
		// Distrito 4
		int x3[] = {229, 250, 246, 248, 259, 271, 302, 307, 315, 315, 356, 358, 387, 392, 400, 387, 393, 401, 406, 347,
					317, 297, 276, 262, 249, 247, 240, 236};
		int y3[] = {349, 442, 519, 538, 617, 627, 638, 645, 648, 652, 640, 642, 636, 613, 590, 535, 513, 513, 506, 403,
					351, 323, 333, 333, 331, 340, 343, 349};
		poligonosDistrito[3] = new Polygon(x3,y3,28);
		
		// Distrito 5
		int x4[] = {246, 246, 248, 254, 259, 259, 266, 277, 276, 272, 270, 268, 260, 258, 253, 252};
		int y4[] = {277, 282, 286, 305, 305, 302, 303, 308, 285, 273, 271, 269, 269, 274, 274, 276};
		poligonosDistrito[4] = new Polygon(x4,y4,16);
		
		// Distrito 6
		int x5[] = {277, 276, 297, 317, 347, 406, 409, 435, 450, 463, 470, 491, 509, 509, 402, 324, 318, 317, 308, 304,
					295, 281};
		int y5[] = {308, 333, 323, 351, 403, 506, 500, 493, 479, 479, 467, 464, 457, 309, 296, 293, 289, 283, 286, 292,
					297, 310};
		poligonosDistrito[5] = new Polygon(x5,y5,22);		
		
		// Distrito 7
		int x6[] = {270, 272, 276, 277, 281, 295, 304, 308, 317, 318, 324, 402, 404, 397, 371, 363, 350, 366, 355, 311,
					321, 310, 308, 290, 283};
		int y6[] = {271, 273, 285, 308, 310, 297, 292, 286, 283, 289, 293, 296, 266, 246, 247, 242, 242, 213, 202, 238,
					257, 259, 264, 274, 271};
		poligonosDistrito[6] = new Polygon(x6,y6,25);
		
		// Distrito 8
		int x7[] = {230, 246, 275, 272, 283, 290, 308, 310, 321, 311, 355, 366, 350, 363, 371, 397, 404, 402, 509, 509,
					490, 480, 474, 467, 452, 448, 438, 432, 428, 423, 414, 393, 360, 354, 338, 329, 300, 294, 293, 322,
					330, 347, 356, 358, 348, 331, 311, 289, 275, 261};
		int y7[] = {230, 240, 251, 253, 271, 274, 264, 259, 257, 238, 202, 213, 242, 242, 247, 246, 266, 296, 309, 109,
					103, 104,  98, 107, 100, 105,  98,  98, 102,  99, 107, 113, 100,  99,  69,  58,  65,  72,  80, 109,
					113, 116, 123, 133, 146, 160, 162, 187, 195, 196};
		poligonosDistrito[7] = new Polygon(x7,y7,50);
		
		// Distrito 9
		int x8[] = {230, 219, 217, 227, 239, 246, 252, 253, 258, 260, 268, 270, 283, 272, 275, 246};
		int y8[] = {230, 240, 275, 275, 274, 277, 276, 274, 274, 269, 269, 271, 271, 253, 251, 240};
		poligonosDistrito[8] = new Polygon(x8,y8,16);
		
		// Distrito 10
		int x9[] = {110,  96,  96,  93,  85,  79,  71,  94,  83,  78,  82,  47,  29,  39,  55,  72,  90,  91,  86,  87,
					126, 151, 166, 173, 176, 173, 216, 219, 217, 219, 230, 261, 275, 289, 311, 331, 348, 358, 356, 347,
					330, 322, 293, 290, 284, 257, 232, 214, 212, 201, 194, 204, 189, 188, 184, 175, 176, 142};
		int y9[] = {194, 215, 219, 240, 251, 254, 265, 291, 305, 331, 336, 356, 377, 401, 428, 443, 445, 447, 450, 454,
					420, 423, 424, 414, 380, 350, 307, 295, 275, 240, 230, 196, 195, 187, 162, 160, 146, 133, 123, 116,
					113, 109,  80,  84, 109, 172, 158, 174, 178, 168, 173, 188, 209, 218, 221, 221, 227, 215};
		poligonosDistrito[9] = new Polygon(x9,y9,58);
		
		// Distrito 11
		int x10[]= {173, 176, 173, 166, 151, 126,  87,  52,  28,  53,  71,  88, 114, 131, 151, 161, 177, 194, 222, 248,
					246, 250, 229};
		int y10[]= {350, 380, 414, 424, 423, 420, 454, 472, 501, 527, 536, 540, 540, 545, 554, 552, 559, 561, 554, 538,
					519, 442, 349};
		poligonosDistrito[10] = new Polygon(x10,y10,23);
		
		// Distrito 12
		int x11[]= { -2,  -2,   0,  11,  47,  52,  55,  74,  87,  96,  96, 110, 142, 176, 175, 184, 188, 189, 204, 194,
					201, 212, 214, 232, 257, 284, 290, 293, 294, 300, 329, 338, 354, 360, 393, 414, 423, 425, 386, 381,
					381, 387, 422, 434, 446, 446, 512, 512, 110, 110, 116, 121, 146, 161, 160, 217, 221, 233, 240, 259,
					248, 222, 194, 177, 161, 151, 131, 114,  88,  71,  53,  28,  15,   0,  -2,  -2,   0,  12,  14,  26,
					23,   0,   -2,  -2, 514, 514, 319, 319, 313, 306, 284, 275, 232, 206, 195, 172, 111,  60,  43,  27,
					6};
				
		int y11[]= { 34, 197, 197, 206, 204, 202, 205, 205, 217, 219, 215, 194, 215, 227, 221, 221, 218, 209, 188, 173,
					168, 178, 174, 158, 172, 109,  84,  80,  72,  65,  58,  69,  99, 100, 113, 107,  99,  89,  61,  45,
					 22,   9,   9,   7,   0,  -2,  -2, 710, 710, 706, 691, 687, 691, 673, 660, 639, 638, 622, 619, 617,
					538, 554, 561, 559, 552, 554, 545, 540, 540, 536, 527, 501, 517, 528, 528, 653, 653, 648, 644, 636,
					649, 689, 689, 712, 712,  -5,  -5,   0,  15,  11,  40,  46,  26,  18,  29,  45,  52,  40,  30,  30,
					34};
		poligonosDistrito[11] = new Polygon(x11,y11,101);
	}

	private void creaPoligonosZonaEst() {
		colorsZonaEst = new Color[47];
		colorsZonaEst [0] = Color.BLUE;
		colorsZonaEst [1] = Color.BLACK;
		colorsZonaEst [2] = Color.cyan;
		colorsZonaEst [3] = new Color(Integer.parseInt("FF6600", 16));
		colorsZonaEst [4] = new Color(Integer.parseInt("1ac172", 16));
		colorsZonaEst [5] = new Color(Integer.parseInt("002277", 16));
		colorsZonaEst [6] = Color.pink;
		colorsZonaEst [7] = Color.YELLOW;
		colorsZonaEst [8] = Color.BLUE;
		colorsZonaEst [9] = Color.ORANGE;
		colorsZonaEst [10] = new Color(Integer.parseInt("005500", 16));
		colorsZonaEst [11] = Color.magenta;
		colorsZonaEst [12] = Color.BLUE;
		colorsZonaEst [13] = Color.BLACK;
		colorsZonaEst [14] = Color.cyan;
		colorsZonaEst [15] = new Color(Integer.parseInt("FF6600", 16));
		colorsZonaEst [16] = new Color(Integer.parseInt("1ac172", 16));
		colorsZonaEst [17] = new Color(Integer.parseInt("002277", 16));
		colorsZonaEst [18] = Color.pink;
		colorsZonaEst [19] = Color.magenta;
		colorsZonaEst [20] = Color.GRAY;
		colorsZonaEst [21] = Color.ORANGE;
		colorsZonaEst [22] = new Color(Integer.parseInt("005500", 16));
		colorsZonaEst [23] = Color.magenta;
		colorsZonaEst [24] = Color.BLUE;
		colorsZonaEst [25] = Color.BLACK;
		colorsZonaEst [26] = Color.cyan;
		colorsZonaEst [27] = new Color(Integer.parseInt("FF6600", 16));
		colorsZonaEst [28] = Color.BLACK;
		colorsZonaEst [29] = Color.cyan;
		colorsZonaEst [30] = Color.magenta;
		colorsZonaEst [31] = Color.YELLOW;
		colorsZonaEst [32] = Color.GRAY;
		colorsZonaEst [33] = Color.blue;
		colorsZonaEst [34] = new Color(Integer.parseInt("005500", 16));
		colorsZonaEst [35] = Color.magenta;
		colorsZonaEst [36] = Color.BLUE;
		colorsZonaEst [37] = Color.magenta;
		colorsZonaEst [38] = Color.cyan;
		colorsZonaEst [39] = new Color(Integer.parseInt("FF6600", 16));
		colorsZonaEst [40] = new Color(Integer.parseInt("1ac172", 16));
		colorsZonaEst [41] = new Color(Integer.parseInt("002277", 16));
		colorsZonaEst [42] = Color.magenta;
		colorsZonaEst [43] = Color.cyan;
		colorsZonaEst [44] = Color.YELLOW;
		colorsZonaEst [45] = Color.ORANGE;
		colorsZonaEst [46] = Color.YELLOW;
		
		// Array de polgonos
		poligonosZonaEst = new Polygon[47]; 
		
		// ZE 1
		int x0[] = {213, 214, 219, 218, 227, 214, 222, 243, 246, 250, 254, 260, 261, 280, 279, 262, 255, 262, 254, 250,
					238, 235};
		int y0[] = {264, 291, 292, 298, 307, 322, 327, 327, 329, 326, 299, 298, 295, 300, 284, 276, 275, 265, 262, 266,
					262, 266};
		poligonosZonaEst[0] = new Polygon(x0,y0,22);
		
		// ZE 2
		int x1[] = {254, 250, 251, 271, 279, 280, 261, 260};
		int y1[] = {299, 326, 328, 331, 330, 300, 295, 298};
		poligonosZonaEst[1] = new Polygon(x1,y1,8);
		
		// ZE 3
		int x2[] = {262, 257, 262, 255, 262, 279, 282, 286, 293, 297, 298, 306, 305, 302, 296, 287, 284, 273, 276, 273,
					268};
		int y2[] = {256, 263, 265, 275, 276, 284, 284, 291, 285, 285, 280, 267, 262, 259, 263, 259, 253, 252, 257, 260,
					258};
		poligonosZonaEst[2] = new Polygon(x2,y2,21);
		
		// ZE 4
		int x3[] = {258, 255, 266, 266, 268, 273, 276, 273, 284, 280, 274, 277};
		int y3[] = {229, 242, 252, 257, 258, 260, 257, 252, 253, 246, 239, 236};
		poligonosZonaEst[3] = new Polygon(x3,y3,12);
		
		// ZE 5
		int x4[] = {226, 213, 213, 224, 251, 255, 258};
		int y4[] = {213, 235, 243, 244, 240, 242, 229};
		poligonosZonaEst[4] = new Polygon(x4,y4,7);
		
		// ZE 6
		int x5[] = {213, 213, 235, 238, 250, 254, 257, 262, 266, 266, 255, 251, 224};
		int y5[] = {243, 264, 266, 262, 266, 262, 263, 256, 257, 252, 242, 240, 244};
		poligonosZonaEst[5] = new Polygon(x5,y5,13);
		
		// ZE 7
		int x6[] = {280, 279, 304, 319, 304, 301, 299, 289, 285};
		int y6[] = {300, 330, 318, 305, 286, 288, 292, 298, 303};
		poligonosZonaEst[6] = new Polygon(x6,y6,9);
		
		// ZE 8
		int x7[] = {279, 280, 285, 289, 299, 301, 304, 298, 297, 293, 286, 282};
		int y7[] = {284, 300, 303, 298, 292, 288, 286, 280, 285, 285, 291, 284};
		poligonosZonaEst[7] = new Polygon(x7,y7,12);
		
		// ZE 9
		int x8[] = {304, 319, 332, 326, 326, 319, 317, 314, 310};
		int y8[] = {286, 305, 283, 280, 274, 275, 277, 277, 283};
		poligonosZonaEst[8] = new Polygon(x8,y8,9);
		
		// ZE 10
		int x9[] = {302, 305, 306, 317, 319, 326, 329, 318, 316};
		int y9[] = {259, 262, 267, 277, 275, 274, 246, 245, 251};
		poligonosZonaEst[9] = new Polygon(x9,y9,9);
		
		// ZE 11
		int x10[] = {277, 274, 280, 284, 287, 296, 302, 316, 318, 329, 329, 311, 288};
		int y10[] = {236, 239, 246, 253, 259, 263, 259, 251, 245, 246, 241, 204, 229};
		poligonosZonaEst[10] = new Polygon(x10,y10,13);
		
		// ZE 12
		int x11[] = {261, 226, 258, 272, 284, 287, 293, 289, 296, 305, 295, 284, 275, 266};
		int y11[] = {175, 216, 229, 234, 214, 217, 210, 206, 195, 191, 162, 170, 173, 173};
		poligonosZonaEst[11] = new Polygon(x11,y11,14);
		
		// ZE 13
		int x12[] = {178, 177, 179, 179, 174, 172, 181, 186, 178, 157, 145, 141, 136, 139, 152, 165, 177, 186, 194, 213,
					 213, 213, 221, 185};
		int y12[] = {213, 216, 216, 237, 243, 249, 258, 260, 278, 268, 282, 289, 297, 299, 296, 296, 301, 283, 265, 264,
					 243, 235, 221, 212};
		poligonosZonaEst[12] = new Polygon(x12,y12,24);
		
		// ZE 14
		int x13[] = {194, 186, 194, 184, 193, 211, 214, 213};
		int y13[] = {265, 283, 286, 308, 317, 301, 291, 264};
		poligonosZonaEst[13] = new Polygon(x13,y13,8);
		
		// ZE 15
		int x14[] = {186, 177, 162, 158, 163, 166, 193, 184, 194};
		int y14[] = {283, 301, 333, 347, 350, 344, 317, 308, 286};
		poligonosZonaEst[14] = new Polygon(x14,y14,9);
		
		// ZE 16
		int x15[] = {214, 211, 193, 178, 181, 183, 193, 191, 178, 194, 195, 214, 227, 218, 219};
		int y15[] = {291, 301, 317, 332, 335, 333, 342, 345, 351, 351, 342, 322, 307, 298, 292};
		poligonosZonaEst[15] = new Polygon(x15,y15,15);
		
		// ZE 17
		int x16[] = {214, 195, 194, 225, 235, 256, 250, 281, 275, 279, 271, 251, 250, 246, 243, 222};
		int y16[] = {322, 342, 351, 349, 393, 387, 367, 354, 340, 330, 331, 328, 326, 329, 327, 327};
		poligonosZonaEst[16] = new Polygon(x16,y16,16);
		
		// ZE 18
		int x17[] = {304, 319, 339, 347, 353, 357, 363, 364, 335, 332, 319};
		int y17[] = {318, 342, 332, 319, 303, 295, 291, 285, 285, 283, 305};
		poligonosZonaEst[17] = new Polygon(x17,y17,11);
		
		// ZE 19
		int x18[] = {329, 326, 326, 332, 335, 364, 422, 426, 418, 387, 376, 364, 348, 345, 342};
		int y18[] = {246, 274, 280, 283, 285, 285, 289, 255, 232, 231, 227, 224, 254, 253, 254};
		poligonosZonaEst[18] = new Polygon(x18,y18,15);
		
		// ZE 20
		int x19[] = {320, 329, 329, 342, 345, 348, 364, 381, 369};
		int y19[] = {222, 241, 246, 254, 253, 254, 224, 193, 181};
		poligonosZonaEst[19] = new Polygon(x19,y19,9);
		
		// ZE 21
		int x20[] = {311, 320, 369, 381, 364, 376, 387, 418, 426, 422, 457, 509, 509, 505, 498, 495, 481, 475, 469, 459,
					 454, 447, 435, 419, 407, 390, 368, 340, 334, 313, 301, 299, 326, 340, 352, 371, 371, 346, 323, 354};
		int y20[] = {204, 222, 181, 193, 224, 227, 231, 232, 255, 289, 289, 299,  69,  63,  71,  73,  64,  70,  65,  62,
					  66,  63,  73,  79,  78,  69,  63,  17,  17,  22,  30,  42,  69,  79,  80,  91, 105, 131, 134, 159};
		poligonosZonaEst[20] = new Polygon(x20,y20,40);
		
		// ZE 22
		int x21[] = {295, 305, 311, 354, 323, 317};
		int y21[] = {162, 191, 204, 159, 134, 136};
		poligonosZonaEst[21] = new Polygon(x21,y21,6);
		
		// ZE 23
		int x22[] = { 90,  73,  71,  90, 178, 185, 221, 226, 261, 266, 275, 284, 295, 317, 323, 346, 371, 371, 352, 340,
					 326, 299, 293, 294, 257, 226, 205, 194, 185, 196, 185, 183, 180, 180, 170, 162, 166, 161, 136};
		int y22[] = {172, 198, 212, 215, 213, 212, 221, 213, 175, 173, 173, 170, 162, 136, 134, 131, 105,  91,  80,  79,
					  69,  42,  42,  58, 147, 130, 154, 141, 147, 165, 181, 187, 189, 197, 204, 199, 209, 209, 199};
		poligonosZonaEst[22] = new Polygon(x22,y22,39);
		
		// ZE 24
		int x23[] = { 71,  70,  73,  55,  45,  71,  63,  59,  56,  54,  52,  57, 125, 158, 162, 177, 165, 152, 139, 136,
					 141, 145, 157, 172, 174, 164, 169, 170,  90};
		int y23[] = {212, 219, 228, 240, 252, 282, 296, 297, 309, 325, 327, 332, 336, 347, 333, 301, 296, 296, 299, 297,
					 289, 282, 268, 249, 243, 237, 231, 213, 215};
		poligonosZonaEst[23] = new Polygon(x23,y23,29);
		
		// ZE 25
		int x24[] = {  0,   0,  26,  48,  62,  62,  66,  67,  63,  62,  67, 105, 105, 142, 158, 125,  57,  57,  29,  26};
		int y24[] = {375, 389, 438, 457, 456, 458, 455, 459, 462, 468, 467, 432, 427, 380, 347, 336, 332, 335, 348, 348};
		poligonosZonaEst[24] = new Polygon(x24,y24,20);
		
		// ZE 26
		int x25[] = {158, 142, 105, 105, 116, 134, 147, 141, 156, 165, 162, 163};
		int y25[] = {347, 380, 427, 432, 428, 402, 406, 434, 432, 392, 361, 349};
		poligonosZonaEst[25] = new Polygon(x25,y25,12);
		
		// ZE 27
		int x26[] = {116, 134, 147, 141};
		int y26[] = {428, 402, 406, 434};
		poligonosZonaEst[26] = new Polygon(x26,y26,4);
		
		// ZE 28
		int x27[] = {116, 105,  67,  62,  26,   0,   0,  27,  44,  63, 100, 141, 169, 167, 169, 168, 171, 173, 171, 169,
				 	 164, 157, 156, 141};
		int y27[] = {428, 432, 467, 468, 487, 518, 527, 553, 561, 566, 568, 584, 499, 487, 478, 447, 427, 424, 423, 426,
				 	 433, 428,432, 434};
		poligonosZonaEst[27] = new Polygon(x27,y27,24);
		
		// ZE 29
		int x28[] = {173, 171, 168, 169, 172, 177, 181, 176};
		int y28[] = {424, 427, 447, 478, 478, 440, 441, 426};
		poligonosZonaEst[28] = new Polygon(x28,y28,8);
		
		// ZE 30
		int x29[] = {177, 172, 169, 167, 169, 186, 181};
		int y29[] = {440, 478, 478, 487, 499, 452, 441};
		poligonosZonaEst[29] = new Polygon(x29,y29,7);
		
		// ZE 31
		int x30[] = {164, 165, 157, 164, 169, 171, 179, 184, 174};
		int y30[] = {377, 392, 428, 433, 426, 423, 407, 378, 376};
		poligonosZonaEst[30] = new Polygon(x30,y30,9);
		
		// ZE 32
		int x31[] = {163, 162, 164, 174, 184, 179, 176, 178, 194, 205, 212, 216, 226, 225, 194, 178, 174};
		int y31[] = {349, 361, 377, 376, 378, 407, 412, 413, 397, 388, 368, 363, 352, 349, 351, 351, 353};
		poligonosZonaEst[31] = new Polygon(x31,y31,17);
		
		// ZE 33
		int x32[] = {178, 166, 163, 174, 178, 191, 193, 183, 181};
		int y32[] = {332, 344, 349, 353, 351, 345, 342, 333, 335};
		poligonosZonaEst[32] = new Polygon(x32,y32,9);
		
		// ZE 34
		int x33[] = {176, 171, 173, 176, 181, 185, 194, 196, 208, 205, 194, 178};
		int y33[] = {412, 423, 424, 426, 441, 449, 421, 422, 386, 388, 397, 413};
		poligonosZonaEst[33] = new Polygon(x33,y33,12);
		
		// ZE 35
		int x34[] = {226, 216, 212, 205, 208, 196, 194, 185, 186, 169, 143, 162, 188, 208, 248, 246, 250, 242, 243, 235};
		int y34[] = {352, 363, 368, 388, 386, 422, 421, 449, 452, 499, 577, 588, 590, 586, 564, 525, 459, 433, 429, 393};
		poligonosZonaEst[34] = new Polygon(x34,y34,20);
		
		// ZE 36
		int x35[] = {279, 275, 281, 250, 256, 235, 243, 242, 249, 264, 266, 249, 259, 288, 300, 319, 304};
		int y35[] = {330, 340, 354, 367, 387, 393, 429, 433, 455, 431, 417, 415, 387, 387, 363, 342, 318};
		poligonosZonaEst[35] = new Polygon(x35,y35,17);
		
		// ZE 37
		int x36[] = {350, 347, 339, 319, 425, 440, 457, 480, 488, 495, 497, 502, 509, 509, 457, 422, 406, 407, 405, 419,
					 420, 417, 431, 437, 437, 415, 414, 403, 403, 401, 401, 407, 403, 399, 392, 387, 378, 378, 375, 373,
					 370, 371, 366, 356};
		int y36[] = {310, 319, 332, 342, 526, 517, 514, 496, 498, 493, 487, 482, 481, 299, 289, 289, 288, 298, 317, 318,
					 325, 328, 337, 337, 346, 351, 354, 352, 339, 337, 335, 330, 328, 331, 325, 323, 317, 314, 314, 317,
					 315, 310, 311, 318};
		poligonosZonaEst[36] = new Polygon(x36,y36,44);
		
		// ZE 38
		int x37[] = {364, 363, 357, 353, 350, 356, 366, 371, 391, 405, 407, 406};
		int y37[] = {285, 291, 295, 303, 310, 318, 311, 310, 315, 317, 298, 288};
		poligonosZonaEst[37] = new Polygon(x37,y37,12);
		
		// ZE 39
		int x38[] = {405, 419, 420, 417, 431, 437, 437, 415, 414, 403, 403, 401, 401, 407, 403, 399, 392, 387, 378, 378,
					 375, 373, 370, 371, 391};
		int y38[] = {317, 318, 325, 328, 337, 337, 346, 351, 354, 352, 339, 337, 335, 330, 328, 331, 325, 323, 317, 314,
					 314, 317, 315, 310, 315};
		poligonosZonaEst[38] = new Polygon(x38,y38,25);
		
		// ZE 40
		int x39[] = {447, 435, 419, 407, 390, 368, 340, 334, 313, 301, 299, 293, 294, 257, 226, 205, 194, 185, 196, 185,
					 183, 180, 180, 170, 162, 166, 161, 136,  90,  73,  62,  47,  25,   0,   0,  49,  88, 154, 160, 399,
					 406, 449};
		int y39[] = { 63,  73,  79,  78,  69,  63,  17,  17,  22,  30,  42,  42,  58, 147, 130, 154, 141, 147, 165, 181,
					 187, 189, 197, 204, 199, 209, 209, 199, 172, 198, 198, 184, 182, 184,   0,   0,  10,   3,   0,   0,
					  22,  52};
		poligonosZonaEst[39] = new Polygon(x39,y39,42);
		
		// ZE 41
		int x40[] = {  0,   27,  44,  63, 100, 141, 143, 162, 188, 208, 248, 260, 255, 235, 213, 205, 188, 176, 144,   0};
		int y40[] = {527,  553, 561, 566, 568, 584, 577, 588, 590, 586, 564, 658, 654, 657, 677, 682, 690, 692, 705, 705};
		poligonosZonaEst[40] = new Polygon(x40,y40,20);
		
		// ZE 42
		int x41[] = {421, 421, 509, 509};
		int y41[] = {638, 704, 704, 638};
		poligonosZonaEst[41] = new Polygon(x41,y41,4);
		
		// ZE 8B (43)
		int x42[] = {306, 298, 304, 310, 314, 317};
		int y42[] = {267, 280, 286, 283, 277, 277};
		poligonosZonaEst[42] = new Polygon(x42,y42,6);
		
		// ZE 12B (44)
		int x43[] = {272, 277, 288, 311, 305, 296, 289, 293, 287, 284};
		int y43[] = {234, 236, 229, 204, 191, 195, 206, 210, 217, 214};
		poligonosZonaEst[43] = new Polygon(x43,y43,10);
		
		// ZE 15B (45)
		int x44[] = {172, 157, 178, 186, 181};
		int y44[] = {249, 268, 278, 260, 258};
		poligonosZonaEst[44] = new Polygon(x44,y44,5);
		
		// ZE 24B (46)
		int x45[] = {170, 169, 164, 174, 179, 179, 177, 178};
		int y45[] = {213, 231, 237, 243, 237, 216, 216, 213};
		poligonosZonaEst[45] = new Polygon(x45,y45,8);
				
		// ZE 36B (47)
		int x46[] = {319, 300, 288, 259, 249, 266, 264, 249, 250, 246, 248, 260, 268, 280, 294, 312, 323, 337, 367, 405,
					 408, 418, 416, 412, 403, 403, 411, 411, 420, 428, 425};
		int y46[] = {342, 363, 387, 387, 415, 417, 431, 455, 459, 525, 564, 658, 664, 667, 672, 681, 690, 691, 680, 674,
					 656, 630, 618, 590, 568, 562, 542, 536, 536, 528, 526};
		poligonosZonaEst[46] = new Polygon(x46,y46,31);
	}
}
